Package org.apache.tools.ant.taskdefs.optional

## Class Javah.ClassArgument

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.Javah.ClassArgument

- Enclosing class:
    Javah

      public class Javah.ClassArgument
      extends java.lang.Object

  A class corresponding the the nested "class" element. It contains a "name" attribute.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassArgument()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Get the name attribute.
    `void` | `setName​(java.lang.String name)` | Set the name attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassArgument

          public ClassArgument()

  - ### Method Detail

    - #### setName

          public void setName​(java.lang.String name)

      Set the name attribute.
      Parameters:
        `name` - the name attribute.

    - #### getName

          public java.lang.String getName()

      Get the name attribute.
      Returns:
        the name attribute.